My Project: dgPolygonSoupDatabaseBuilder Class Reference

My Project

Classes | Public Member Functions | Public Attributes | List of all members
dgPolygonSoupDatabaseBuilder Class Reference

`#include <dgPolygonSoupBuilder.h>`

## Classes

class | dgFaceBucket
class | dgFaceInfo
class | dgFaceMap
class | dgIndexArray
class | dgPolySoupFilterAllocator
class | dgVertexArray

## Public Member Functions

| dgPolygonSoupDatabaseBuilder (dgMemoryAllocator *const allocator)
| dgPolygonSoupDatabaseBuilder (const dgPolygonSoupDatabaseBuilder &sopurce)
| ~dgPolygonSoupDatabaseBuilder ()
void | Begin ()
void | End (bool optimize)
void | AddMesh (const dgFloat32 *const vertex, dgInt32 vertexCount, dgInt32 strideInBytes, dgInt32 faceCount, const dgInt32 *const faceArray, const dgInt32 *const indexArray, const dgInt32 *const faceTagsData, const dgMatrix &worldMatrix)

## Public Attributes

dgInt32 | m_run
dgInt32 | m_faceCount
dgInt32 | m_indexCount
dgInt32 | m_vertexCount
dgInt32 | m_normalCount
dgIndexArray | m_faceVertexCount
dgIndexArray | m_vertexIndex
dgIndexArray | m_normalIndex
dgVertexArray | m_vertexPoints
dgVertexArray | m_normalPoints
dgMemoryAllocator * | m_allocator

## Constructor & Destructor Documentation

## § dgPolygonSoupDatabaseBuilder() [1/2]

dgPolygonSoupDatabaseBuilder::dgPolygonSoupDatabaseBuilder | ( | dgMemoryAllocator *const | allocator | ) |

## § dgPolygonSoupDatabaseBuilder() [2/2]

dgPolygonSoupDatabaseBuilder::dgPolygonSoupDatabaseBuilder | ( | const dgPolygonSoupDatabaseBuilder & | sopurce | ) |

## § ~dgPolygonSoupDatabaseBuilder()

dgPolygonSoupDatabaseBuilder::~dgPolygonSoupDatabaseBuilder | ( |  | ) |

## Member Function Documentation

## § AddMesh()

void dgPolygonSoupDatabaseBuilder::AddMesh | ( | const dgFloat32 *const | vertex,
|  | dgInt32 | vertexCount,
|  | dgInt32 | strideInBytes,
|  | dgInt32 | faceCount,
|  | const dgInt32 *const | faceArray,
|  | const dgInt32 *const | indexArray,
|  | const dgInt32 *const | faceTagsData,
|  | const dgMatrix & | worldMatrix
| ) |  |

## § Begin()

void dgPolygonSoupDatabaseBuilder::Begin | ( |  | ) |

## § End()

void dgPolygonSoupDatabaseBuilder::End | ( | bool | optimize | ) |

## Member Data Documentation

## § m_allocator

dgMemoryAllocator* dgPolygonSoupDatabaseBuilder::m_allocator

## § m_faceCount

dgInt32 dgPolygonSoupDatabaseBuilder::m_faceCount

## § m_faceVertexCount

dgIndexArray dgPolygonSoupDatabaseBuilder::m_faceVertexCount

## § m_indexCount

dgInt32 dgPolygonSoupDatabaseBuilder::m_indexCount

## § m_normalCount

dgInt32 dgPolygonSoupDatabaseBuilder::m_normalCount

## § m_normalIndex

dgIndexArray dgPolygonSoupDatabaseBuilder::m_normalIndex

## § m_normalPoints

dgVertexArray dgPolygonSoupDatabaseBuilder::m_normalPoints

## § m_run

dgInt32 dgPolygonSoupDatabaseBuilder::m_run

## § m_vertexCount

dgInt32 dgPolygonSoupDatabaseBuilder::m_vertexCount

## § m_vertexIndex

dgIndexArray dgPolygonSoupDatabaseBuilder::m_vertexIndex

## § m_vertexPoints

dgVertexArray dgPolygonSoupDatabaseBuilder::m_vertexPoints

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgPolygonSoupBuilder.h
- dynamics.mod/NewtonDynamics/source/core/dgPolygonSoupBuilder.cpp